Bug 54632 - gcc segmentation fault when compiling mozilla
Summary: gcc segmentation fault when compiling mozilla
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-14 12:29 UTC by Jeremy Sanders
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-15 15:13:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeremy Sanders 2001-10-14 12:29:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4) Gecko/20010913

Description of problem:
When I compile mozilla 2001-10-12-08-trunk/ from scratch on my RH 7.1
system with gcc-2.96-85, I get a segmentation fault:

c++ -o nsEventQueue.o -c -DOSTYPE=\"Linux2.4\" -DOSARCH=\"Linux\"
-DMOZ_REFLOW_PERF -DMOZ_REFLOW_PERF_DSP -DOJI -D_IMPL_NS_COM
-D_IMPL_NS_BASE -I./../components -I../../dist/include/string
-I../../dist/include/xpcom -I../../dist/include
-I/scratch/jss/mozilla/dist/include/nspr      -I/usr/X11R6/include   -fPIC
 -I/usr/X11R6/include -fno-rtti -fno-exceptions -Wall -Wconversion
-Wpointer-arith -Wbad-function-cast -Wcast-align -Woverloaded-virtual
-Wsynth -pedantic -Wno-long-long -pipe -fshort-wchar -pthread -O2  -DDEBUG
-DDEBUG_jss -DTRACING -g -I/usr/X11R6/include -DMOZILLA_CLIENT -include
../../config-defs.h -Wp,-MD,.deps/nsEventQueue.pp nsEventQueue.cpp
../../dist/include/xpcom/nsCOMPtr.h: In method `void 
nsCOMPtr<T>::assign_from_helper (const nsCOMPtr_helper &, const nsIID 
&) [with T = nsIThread]':
../../dist/include/xpcom/nsCOMPtr.h:565:   instantiated from
`nsCOMPtr<T>::nsCOMPtr (const nsQueryInterface &) [with T = nsIThread]'
../../dist/include/xpcom/nsCOMPtr.h:500:   instantiated from here
../../dist/include/xpcom/nsCOMPtr.h:974: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Download mozilla source 2001-10-12-08-trunk/ 
2. ./configure
3. make

	

Actual Results:  Make failed

Expected Results:  Should have compiled.

Additional info:

When file is built by hand it works. May be a hardware fault, I suppose.

Comment 1 Michael Schwendt 2001-10-15 00:19:33 UTC
Reporter wrote:
>
> When file is built by hand it works. May be a hardware fault, I suppose.

Try these steps then:

(1. Download mozilla source 2001-10-12-08-trunk/ )
2. ./configure
3. make

and when it fails at step 3, repeat running "make" to see whether it fails
always on the same file. If it doesn't, check your memory chips with:
http://www.memtest86.com

Comment 2 Jeremy Sanders 2001-10-15 15:13:35 UTC
This appears to be a very subtle motherboard/processor fault. I can only get the
build to fail on this machine. Swapping the memory has no effect.


Note You need to log in before you can comment on or make changes to this bug.